# $Revision: 1.83 $, $Date: 2008/11/01 15:29:24 $
#
# Conditional build
%bcond_without	doc	# don't build documentation (man, HTML)
#
Summary:	Utilities for IPv4/IPv6 networking
Summary(pl.UTF-8):	Użytki przeznaczone dla pracy z siecią IPv4/IPv6
Summary(ru.UTF-8):	Набор базовых сетевых утилит (ping, tracepath etc.)
Summary(uk.UTF-8):	Набір базових мережевих утиліт (ping, tracepath etc.)
Name:		iputils
Version:	s20071127
Release:	1
Epoch:		2
License:	BSD
Group:		Networking/Admin
Source0:	http://www.skbuff.net/iputils/iputils-%{version}.tar.bz2
# Source0-md5:	12245e9927d60ff5cf4a99d265bcb7d3
Patch0:		%{name}-pmake.patch
Patch1:		%{name}-pf.patch
Patch2:		%{name}-bindnow.patch
Patch3:		%{name}-gcc34.patch
Patch4:		%{name}-OPEN_MAX.patch
URL:		http://linux-net.osdl.org/index.php/Iputils
%if %{with doc}
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils >= 0.6.10
%endif
BuildRequires:	linux-libc-headers
Requires:	arping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 networking utils:
- clockdiff - measures clock difference between us and destination
  with 1msec resolution,
- traceroute6,
- rdisc - classic router discovery daemon,
- tracepath/tracepath6 - trace path to destination discovering MTU
  along this path using UDP packets

%description -l pl.UTF-8
Narzędzia przeznaczone dla sieci IPv4/IPv6:
- clockdiff - sprawdza różnicę czasu/daty pomiędzy nami a innym
  komputerem z rozdzielczością 1ms,
- traceroute6,
- rdisc - klasyczny demon router discovery,
- tracepath/tracepath6 - śledzą drogę pakietów do celu przy użyciu
  pakietów UDP, sprawdzając MTU

%description -l ru.UTF-8
Пакет iputils содержит набор базовых сетевых утилит (ping, tracepath
etc.) от Алексея Кузнецова. Он НЕ включает классический traceroute,
который содержится в отдельном пакете.

%description -l uk.UTF-8
Пакет iputils містить набір базових мережевих утиліт (ping, tracepath
etc.) від Олексія Кузнєцова. Він НЕ містить класичного traceroute,
який міститься в окремому пакеті.

%package ping
Summary:	IPv4 and IPv6 ping commands
Summary(pl.UTF-8):	Programy ping wykorzystujące IPv4 i IPv6
Group:		Networking/Admin
Provides:	ping
Obsoletes:	inetutils-ping
Obsoletes:	ping

%description ping
IPv4 and IPv6 ping commands.

%description ping -l pl.UTF-8
Programy ping wykorzystujące IPv4 i IPv6.

%package arping
Summary:	arping utility
Summary(pl.UTF-8):	Narzędzie arping
Group:		Networking/Admin
Provides:	arping
Obsoletes:	arping

%description arping
Utility to ping given address on given device by ARP packets, using
given source address.

%description arping -l pl.UTF-8
Narzędzie pingujące podany adres na podanym interfejsie wysyłając
pakiety ARP z użyciem podanego adresu źródłowego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
# empty LDLIBS - don't link with -lresolv, it's not necessary
%{__make} all \
	CC="%{__cc}" \
	CCOPT="%{rpmcflags} -D_GNU_SOURCE -DHAVE_SIN6_SCOPEID=1" \
	LDLIBS=

%if %{with doc}
%{__make} html
%{__make} man
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/bin,/sbin}

install clockdiff ipg rarpd rdisc tftpd tracepath tracepath6 traceroute6 \
	$RPM_BUILD_ROOT%{_sbindir}

install arping $RPM_BUILD_ROOT/sbin

install ping ping6 $RPM_BUILD_ROOT/bin

%if %{with doc}
install doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath6.8
%endif

# no tftpd
rm -f $RPM_BUILD_ROOT%{_sbindir}/tftpd
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tftpd*

# we don't build pg kernel module
rm -f $RPM_BUILD_ROOT%{_sbindir}/ipg
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/pg3*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELNOTES %{?with_doc:doc/*.html}
%attr(755,root,root) %{_sbindir}/tracepat*
%attr(755,root,root) %{_sbindir}/rarpd
%attr(755,root,root) %{_sbindir}/rdisc
%attr(4754,root,adm) %{_sbindir}/traceroute6
%attr(4754,root,adm) %{_sbindir}/clockdiff
%if %{with doc}
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/rarpd.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath*.8*
%{_mandir}/man8/traceroute6.8*
%endif

%files ping
%defattr(644,root,root,755)
%attr(4754,root,adm) %verify(not mode) /bin/ping
%attr(4754,root,adm) %verify(not mode) /bin/ping6
%if %{with doc}
%{_mandir}/man8/ping.8*
%endif

%files arping
%defattr(644,root,root,755)
%attr(4754,root,adm) /sbin/arping
%if %{with doc}
%{_mandir}/man8/arping.8*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iputils.spec,v $
Revision 1.83  2008/11/01 15:29:24  qboosh
- fixed doc bcond

Revision 1.82  2008/11/01 13:53:27  areq
- BR docbook-dtd31-sgml

Revision 1.81  2008/01/05 19:44:34  qboosh
- patches and descs cleanup

Revision 1.80  2007-12-31 23:44:56  zbyniu
- up to s20071127

Revision 1.79  2007-12-30 23:01:05  glen
- epoch 2 to allow upgrade from earlier version (arekm?!)

Revision 1.78  2007-11-27 20:19:35  tommat
- added iputils-OPEN_MAX.patch from FC that allows build with new llh

Revision 1.77  2007-09-11 18:37:55  arekm
- rel 1; move arping to /sbin

Revision 1.76  2007/06/26 13:02:13  glen
- allow mode changes for /bin/ping*
- (we should really have different group than adm for ping access...)

Revision 1.75  2007/06/04 18:14:28  arekm
- up to s20070202 (new home); 4 patches needs review; rel 0.1

Revision 1.74  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.72  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.71  2006/03/14 13:12:02  glen
- add pf,syserror,bindnow,gcc34 patches; rel 4

Revision 1.70  2006/02/26 15:47:55  sparky
- oops

Revision 1.69  2006/02/26 14:54:44  sparky
- pass CC="%{__cc}"

Revision 1.68  2005/05/24 14:32:48  glen
- rel 3; STBR

Revision 1.67  2005/05/05 13:28:22  qboosh
- unified

Revision 1.66  2005/03/14 22:07:58  glen
- revert icmp group for /bin/ping*

Revision 1.65  2005/03/06 22:03:48  glen
- group icmp for /bin/ping*

Revision 1.64  2005/01/23 15:44:58  speedy
- arping moved to %package arping

Revision 1.63  2004/09/25 11:20:20  blues
- Obsoletes and provides for ping subpackage

Revision 1.62  2004/08/08 11:08:25  havner
- rel 2

Revision 1.61  2004/05/02 20:41:02  mmazur
- switched patch order

Revision 1.60  2004/03/13 21:25:25  mmazur
- bcond unification - based on http://www.gentoo.org/dyn/use-index.xml

Revision 1.59  2004/02/09 10:09:55  pluto
- s/glibc-kernel-headers/linux-libc-headers/

Revision 1.58  2004/01/29 07:39:23  pluto
- updated to ss021109.
- new style %bcond added.
- glibc-kernel-headers support added.

Revision 1.57  2003/09/28 21:44:05  twittner
- manpages shouldn't be exluded by bcond --without docs.

Revision 1.56  2003/09/28 21:26:04  twittner
- fixed my syntax mistake in %doc.

Revision 1.55  2003/09/28 00:01:56  twittner
- added bcond --without docs - don't build documentation - it allows
  to build on Ac for me.

Revision 1.54  2003/09/25 13:26:50  areq
- add 20001007-rh7.patch, now build in nest

Revision 1.53  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.52  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/03/03 18:17:25  juandon
- added pmake.patch

Revision 1.50  2003/01/22 13:56:41  trojan
- updated to 020927

Revision 1.49  2002/08/17 15:56:24  blues
- fixed missing BR, more docs, kernel_is_fresh.patch seems to be no longer
  needed; STBR

Revision 1.48  2002/08/17 08:20:16  qboosh
- added BRs, added missing manuals, avoid linking with -lresolv (unnecessary)

Revision 1.47  2002/08/16 13:52:31  blues
- ss020124 - there are troubles with manuals generation

Revision 1.46  2002/08/16 13:18:13  blues
- release 5 - moved ping* to /bin; STBR

Revision 1.45  2002/04/25 16:37:22  arturs
- fixed a small typo

Revision 1.44  2002/03/20 23:50:49  kloczek
- release 4.

Revision 1.43  2002/03/14 18:30:55  adasi
 - kernel is not very fresh removed

Revision 1.42  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/22 00:16:01  kloczek
- merge translations from KSI.

Revision 1.40  2002/02/22 00:11:48  kloczek
- release 3.

Revision 1.39  2002/02/21 21:02:30  adasi
- added patch adding missing \n at the end of errors

Revision 1.38  2002/01/18 02:13:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2002/01/04 11:20:42  qboosh
- fixed ping pl description; release 2

Revision 1.36  2001/11/15 02:19:43  blues
- ss011002
- STBR

Revision 1.35  2001/11/04 12:53:57  grzegorz
- reverting last changes

Revision 1.34  2001/11/03 12:14:25  grzegorz
- removed r attr for others form all suid root binaries with adm group

Revision 1.33  2001/10/03 19:48:47  qboosh
- removed obsolete patches, use other way of passing optflags

Revision 1.32  2001/09/25 19:33:09  baggins
- started update to ss010805

Revision 1.31  2001/07/02 00:33:29  qboosh
- removed "Obsoletes: traceroute" - it doesn't provide IPv4 traceroute
- release 4

Revision 1.30  2001/06/28 02:13:02  kloczek
- release 3,
- changed permission on suid binaries to 4754/root.adm,
- merge ping-deadline, bug23844 rawhide patches.

Revision 1.29  2001/04/30 16:05:20  kloczek
- added using %{rpmcflags} macro.

Revision 1.28  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2001/01/11 11:23:24  zagrodzki
- release 2
- changed perms/group on setuid binaries

Revision 1.26  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.25  2000/11/14 18:00:01  misiek
- updated to ss001110
- removed obsolete resolv patch

Revision 1.24  2000/10/28 11:53:33  misiek
- added glibc patch
- resolv patch for tracepath6, too

Revision 1.23  2000/10/09 04:37:56  kloczek
- adapterized, addud using new rpm automation suit and make %{debug} ready.

Revision 1.22  2000/10/08 02:46:07  baggins
- updated to ss001007
- move ping6 to ping package
- ENOUGH with SbO! 4755 on ping*

Revision 1.21  2000/06/09 07:23:03  kloczek
- added using %{__make} macro.

Revision 1.20  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.19  2000/05/09 21:05:27  kloczek
- more cosmetics.

Revision 1.18  2000/05/09 21:04:54  kloczek
- spec adapterized.

Revision 1.17  2000/05/09 20:42:52  wiget
ss000418

Revision 1.16  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.13  2000/02/03 12:37:26  wiget
- ss000121

Revision 1.12  1999/12/09 19:15:54  kloczek
- release 2,
- changed permission on suid binaries to 4754 and root.root.

Revision 1.11  1999/10/29 10:19:56  kloczek
- cosmetics.

Revision 1.10  1999/10/28 07:20:36  wiget
- upgrade to ss991024

Revision 1.9  1999/09/08 00:02:17  wiget
- updated to new snapshots
- removed egcs patch

Revision 1.8  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.6  1999/07/11 17:53:17  misiek
- big update
